RubyGems Navigation menu

AptDownloader 1.0.2

Apt-Downloader is intended as a useful tool for developers working on embedded linux. When working on embedded linux it can be difficult to get programs working on your target due to the shear number of dependencies needed to run them. Debian has done an excellent job of building and testing their software packages on a large number of architectures. The debian apt system makes it easy for debian users to get access to this software on their own platforms, but it's a bit obsfuscated how to use thier software to say, download a package and all of it's dependencies to the root filesystem of your target and target architecture. Apt-Downloader is front end to apt that is intended to make this easy.

Gemfile
          gem 'AptDownloader', '~> 1.0.2'
  
  
  
  
  
  
  

install
          gem install AptDownloader
  
  
  
  
  
  
  

Total downloads 6,552

For this version 2,418

Required Ruby Version: None

Links:

Versions:

  1. 1.0.2 - December 23, 2008 (9.5 KB)
  2. 1.0.1 - December 23, 2008 (9.5 KB)
  3. 1.0.0 - December 23, 2008 (9.5 KB)

Runtime Dependencies:

Development Dependencies: